
%define 	module	dirstore

Summary:	dirstore - Python module for acces files from directories and/or archives
Summary(pl.UTF-8):	dirstore - moduł Pythona umożliwiający dostęp do plików umieszczonych w katalogach i/lub archiwach
Name:		python-%{module}
Version:	0.1.0
Release:	4
License:	GPL v2
Group:		Libraries/Python
Source0:	http://kai.vm.bytemark.co.uk/~piman/software/%{module}-%{version}.tar.gz
# Source0-md5:	559b3e350534110d9acf94e69df3679e
URL:		http://kai.vm.bytemark.co.uk/~piman/software.shtml#dirstore
BuildRequires:	python-modules >= 2.2
BuildRequires:	rpm-perlprov
Requires:	python >= 2.2
Requires:	unrar
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Python module provides a generic object (DirStore) to access
files stored in a directory, tar, rar, or zip archive. You can read
data from the archive as a string or a file-like object without
worrying about the underlying archive format.


%description -l pl.UTF-8
Moduł ten udostępnia ogólny obiekt (DirStore) umożliwiający uzyskanie
dostępu do plików przechowywanych w katalogu lub archiwum tar, rar lub
zip. Moduł ten umożliwia odczyt danych z archiwum w postaci łańcucha
znaków albo obiektu podobnego do file() bez martwienia się formatem
przeglądanego archiwum.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/dirstore.py[oc]
%doc README
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dirstore.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 14f3d41
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2a01e6c
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f67242
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6adb020
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 830aae3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2280513
- converted to UTF-8

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 8303ca7
- removed %%include /usr/lib/rpm/macros.python

* Wed Jun 02 2004 Marcin Gajda <m.gajda@functional-software.com> fd1f94d
- inital PLD release

